const Me = imports.misc.extensionUtils.getCurrentExtension();

const Apps     = Me.imports.apps;
const Corners  = Me.imports.corners;
const UserMenu = Me.imports.userMenu;
const View     = Me.imports.view;

function init() {
    Apps.init();
    UserMenu.init();

    View.init();
    Corners.init(); // depends on View
}

function enable() {
    Apps.enable();
    UserMenu.enable();

    View.enable();
    Corners.enable();
}

function disable() {
    Apps.disable();
    UserMenu.disable();

    View.disable();
    Corners.disable();
}
